complexType "RelatedParty"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference, role, type?
</...>

Content Model Elements (3):

  partyReference (defined in PartyAndAccountReferences.model group),
  role (in relatedParty),
  type (in relatedParty)

All Direct / Indirect Based Elements (1):

  relatedParty

Known Usage Locations

- As direct type of elements (1):
  relatedParty

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="RelatedParty"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element name="role" type="PartyRole"/> <xsd:element minOccurs="0" name="type" type="PartyRoleType"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/3)
role

  Type: | PartyRole, simple content

  The category of the relationship. The related party performs the role specified in this field for the base party. For example, if the role is "Guarantor", the related party acts as a guarantor for the base party.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="role" type="PartyRole"/>

type

  Type: | PartyRoleType, simple content

  Additional definition refining the type of relationship. For example, if the "role" is Guarantor, this element may be used to specify whether all positions are guaranteed, or only a subset of them.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="PartyRoleType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.